# Argument
Date: 2020-04-18

me.legofreak107.vehiclesplus.libraries.commandlibrary.objects

## Class Argument

- java.lang.Object
- - me.legofreak107.vehiclesplus.libraries.commandlibrary.objects.Argument

    public class Argument
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Argument(java.lang.String name, boolean optional, boolean indefinite, java.util.List<java.lang.String> tabCompleters, ArgumentOption argumentOption)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ArgumentOption` `getArgumentOption()`
`java.lang.String` `getName()`
`java.util.List<java.lang.String>` `getTabCompleters()`
`boolean` `isIndefinite()`
`boolean` `isOptional()`
`java.lang.Object` `parse(java.lang.String input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Argument

    public Argument(java.lang.String name,
                    boolean optional,
                    boolean indefinite,
                    java.util.List<java.lang.String> tabCompleters,
                    ArgumentOption argumentOption)

### Method Detail

#### getName

    public java.lang.String getName()

#### isOptional

    public boolean isOptional()

#### isIndefinite

    public boolean isIndefinite()

#### getTabCompleters

    public java.util.List<java.lang.String> getTabCompleters()

#### getArgumentOption

    public ArgumentOption getArgumentOption()

#### parse

    public java.lang.Object parse(java.lang.String input)